function [image_out] = xy2image(xy_vec, env_param)
% Inputs - 
%     xy_vec - x and y coordinates 2*N
%     env_param - From track2env_param
image_out = zeros(env_param.num_pix,env_param.num_pix);
pix_vec = round((xy_vec - env_param.origin)./env_param.res_xy);
truth_pix = abs(pix_vec) < floor(env_param.num_pix/2);
truth_pix = truth_pix(1,:) & truth_pix(1,:);
pix_vec_t = pix_vec(:,truth_pix)+floor(env_param.num_pix/2);
pix_ind = sub2ind([env_param.num_pix,env_param.num_pix],pix_vec_t(2,:),pix_vec_t(1,:));

image_out(pix_ind) = 1;

end