function [plot_vars,ptcloud_new] = feat_detect_helper(radar,feat_det_param)

% CFAR Filter
if(feat_det_param.feat_detector_flag == 0)
    detout = cfar_os_filt(feat_det_param, radar.fftData.');
elseif(feat_det_param.feat_detector_flag == 2 || feat_det_param.feat_detector_flag == 1)
    detout = cfar_ca_filt(feat_det_param, radar.fftData.');
end

% Cleaning
if(feat_det_param.input_mask_clean)
    detout(1000:end,:) = 0;
    detout(1:100,:) = 0;
    detout(:,[390:400 1:10]) = 0; % Front Clear
    detout(:,[190:210]) = 0; % Back Clear
end

[plot_vars,ptcloud_new] = feat_det2pc(detout,radar,feat_det_param);

end