function [frames_to_video] = odo_plot_helper(ptcloud_old,tformpcloud,ptcloud_old_old,feat_det_param,plot_vars)

persistent scan;

if(isempty(scan) || nargin < 2)
    scan = 1; 
    radar_odometry_plotter();
else
    % Plotting
    if(feat_det_param.plot_flag)
        plot_struct = struct('cart_pixel_size',feat_det_param.cart_pixel_size,...
                             'cart_resolution',feat_det_param.cart_resolution,...
                             'cart_img',plot_vars.cart_img,...
                             'cart_col',plot_vars.cart_col,...
                             'cart_row',plot_vars.cart_row,...
                             'fft_col',plot_vars.fft_col,...
                             'fft_row',plot_vars.fft_row,...
                             'ptcloud_old',ptcloud_old,...
                             'tformpcloud',tformpcloud,...
                             'ptcloud_old_old',ptcloud_old_old);

        radar_odometry_plotter(plot_struct);
        frames_to_video(scan) = getframe(gcf);
    else
        frames_to_video = [];
    end
end
end