# Radar Odometry - ECE 286 Project, Spring 2020, Prof. Meyer


This repository contains the code and documentation for the Radar Odometry Project.


### Members

Navin Adarsh   
Raghav Subbaraman   


## File Structure

1. matlab_scripts - All the scripts   
2. papers - References   

### File Structure - matlab_scripts

1. odometry_sim.m - Simulation framework   
2. radar_odometry.m - Main file for both Radar only odometry and Scan Matching update odometry   
3. startup_script.m - Run to include all the dependent functions from various places   
4. sim_data - Data for the simulation framework   
5. lib - All relevant functions and helpers   

### File Structure - matlab_scripts/lib

1. performEstimationParticlesPCCorr.m - Attempt at particle filter with scan match update   
2. radarOdometry_blind.m - Radar only odometry   
3. pc_processing/pcregisterpda.m - Implementation of point cloud registration from (Agamennoni et al)     