function [env_param] = env_param_add_im(env_param,env_file_name)

env_mat = imread(env_file_name);

if(min(size(squeeze(env_mat(:,:,1)))) < env_param.num_pix)
    error('Loaded image is smaller than env_param.num_pix.^2 dimensions!')
else
    env_mat_crop = env_mat(1:env_param.num_pix,1:env_param.num_pix,:);
    env_param.sim_env = 255-squeeze(env_mat_crop(:,:,1));
end

end